<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkGroupMaster extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'name',
        'description',
        'operation_number',
        'created_at',
        'updated_at',
        'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function productCharacteristicsMasters()
    {
        return $this->hasMany(ProductCharacteristicsMaster::class);
    }

    public function machines()
    {
        return $this->hasMany(Machine::class, 'work_group_master_id');
    }

    // public function rejectReasons()
    // {
    //     return $this->hasMany(RejectReason::class, 'work_group_master_id', 'id');
    // }
}
